import { BaseProvider } from '#templates/base/provider';
import { ContractType } from '#models/ContractType';

export class ContractTypeProvider extends BaseProvider<ContractType> {
	public static instance: ContractTypeProvider;

	public static getInstance(): ContractTypeProvider {
		ContractTypeProvider.instance ??= new ContractTypeProvider();
		return ContractTypeProvider.instance;
	}

	public static get model() {
		return ContractType;
	}

	constructor() {
		super('ContractType');
	}
}
